
Redmine - Defect #41853

Group icons in watchers and membership modals are using a mix of legacy and SVG icons

2024-11-24 10:48 - pasquale [:dedalus]

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Marius BĂLTEANU % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 6.0.2   

Resolution: Fixed Affected version:  

Description

 clipboard-202411241047-o2mcq.png 

Affected version 6.0.1

Related issues:

Related to Redmine - Feature #23980: Replace icon images with Tabler SVG icons Closed

Has duplicate Redmine - Defect #41870: Add Watchers windows still show old ic... Closed

Associated revisions

Revision 23328 - 2024-11-29 08:58 - Marius BĂLTEANU

Fixes that group icons in Watchers box have both the old and the new icon style (#41853).

Revision 23342 - 2024-11-30 11:51 - Marius BĂLTEANU

Reverts r23328 (#41853).

Revision 23379 - 2024-12-11 00:31 - Marius BĂLTEANU

Fixes group icons not displayed only using the SVG icon (#41853).

Revision 23386 - 2024-12-11 07:26 - Marius BĂLTEANU

Merge r23379 from trunk to 6.0-stable (#41853).

History

#1 - 2024-11-29 02:52 - Takenori TAKAKI

- File clipboard-202411291050-yowm4.png added

- File clipboard-202411291050-lamm7.png added

- File clipboard-202411291051-u5zml.png added

- File clipboard-202411291051-grkzt.png added

- File fix-41853.patch added

I made a patch to fix the problem reported in this issue.

Additionally, this patch fixes the problem where old group icons are displayed, as shown in the attached screenshots.
New Member (dialog)
#2 - 2024-11-29 04:33 - Go MAEDA

- Status changed from New to Confirmed

- Target version set to 6.0.2

#3 - 2024-11-29 08:46 - Katsuya HIDAKA

I reviewed the patch and tested the affected features with avatars enabled and disabled on the latest master. Everything looks good, and I didn’t

notice any issues.

#4 - 2024-11-29 08:59 - Marius BĂLTEANU

- Status changed from Confirmed to Resolved

- Assignee set to Marius BĂLTEANU

- Resolution set to Fixed

Committed, thanks!

#5 - 2024-11-29 19:31 - Katsuya HIDAKA

- File 0001-Escape-labels-in-principals_check_box_tag.patch added

- File 0002-Fix-functional-tests-broken-by-r23328.patch added

I have found the following issues in the current implementation:

The principals_check_box_tag labels (user and group names) are not escaped.

Some functional tests fail.

I attach minimal patches to address these issue.
I have confirmed that all tests pass.

https://github.com/hidakatsuya/redmine/actions/runs/12088933388

#6 - 2024-12-11 00:33 - Marius BĂLTEANU

I've committed a slightly fix, thanks Takenori TAKAKI and Katsuya HIDAKA for you help.

#7 - 2024-12-11 00:34 - Marius BĂLTEANU

- Subject changed from Group icons in Watchers box have both the old and the new icon style to Group icons in watchers and in membership modals

are not using only the SVG icon

#8 - 2024-12-11 00:34 - Marius BĂLTEANU

- Related to Feature #23980: Replace icon images with Tabler SVG icons added

#9 - 2024-12-11 07:26 - Marius BĂLTEANU

- Subject changed from Group icons in watchers and in membership modals are not using only the SVG icon to Group icons in watchers and

membership modals are using a mix of legacy and SVG icons

#10 - 2024-12-11 07:26 - Marius BĂLTEANU

- Status changed from Resolved to Closed

#11 - 2024-12-11 20:15 - Marius BĂLTEANU

- Has duplicate Defect #41870: Add Watchers windows still show old icon for group-member added
